import shlex

import discord

from v6d2ctx.handle_args import handle_args


async def handle_content(message: discord.Message, content: str, prefix: str):
    if message.author.bot:
        return
    if not content.startswith(prefix):
        return
    content = content.removeprefix(prefix)
    args = shlex.split(content)
    await handle_args(message, args)
